Skip to main content
GET
/
blocks
/
{block_hash_or_number_param}
/
internal-transactions
List internal transactions in a specific block
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/blocks/{block_hash_or_number_param}/internal-transactions?apikey='
{
  "items": [
    {
      "block_index": 123,
      "block_number": 123,
      "created_contract": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "error": "<string>",
      "from": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "gas_limit": "<string>",
      "index": 123,
      "success": true,
      "timestamp": "2023-11-07T05:31:56Z",
      "to": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "transaction_hash": "<string>",
      "transaction_index": 123,
      "type": "<string>",
      "value": "<string>"
    }
  ],
  "next_page_params": {
    "index": 8,
    "items_count": 50,
    "transaction_index": 3
  }
}

Documentation Index

Fetch the complete documentation index at: https://blockscout-mf-14206.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Path Parameters

block_hash_or_number_param
required

Block hash or number in the path

Required range: x >= 0

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

internal_type
enum<string>

Filter internal transactions by type:

  • all - Show all internal transactions (default)
  • call - Only show call internal transactions
  • create - Only show create internal transactions
  • create2 - Only show create2 internal transactions
  • reward - Only show reward internal transactions
  • selfdestruct - Only show selfdestruct internal transactions
  • stop - Only show stop internal transactions
  • invalid - Only show invalid internal transactions (Arbitrum only)
Available options:
call,
create,
create2,
reward,
selfdestruct,
stop,
invalid
call_type
enum<string>

Filter internal transactions by call type:

  • all - Show all internal transactions (default)
  • call - Only show call internal transactions
  • callcode - Only show callcode internal transactions
  • delegatecall - Only show delegatecall internal transactions
  • staticcall - Only show staticcall internal transactions
  • invalid - Only show invalid internal transactions (Arbitrum only)
Available options:
call,
callcode,
delegatecall,
staticcall,
invalid
transaction_index
integer

Transaction index for paging

index
integer

Item index for paging

items_count
integer

Number of items returned per page

Required range: 1 <= x <= 50

Response

Internal transactions in the specified block.

items
InternalTransaction · object[]
required
next_page_params
object
required
Example:
{
"index": 8,
"items_count": 50,
"transaction_index": 3
}